## model
Class EntryInitializer

    java.lang.Object
      model.entry.EntryDataModel
          model.entry.EntryDataModelEditor
              model.EntryInitializer

    public class EntryInitializer

extends EntryDataModelEditor

EntryInitializer is used to create a new Entry object. When the run-method is called the a new entry is created with the data in the initializer and added to the tournament that is linked to the initializer. A subclass of EntryDataModelEditor.

Field Summary
`private boolean` `IS_PRE_ENTRY`
`private Tournament` `TOURNAMENT`

Constructor Summary
`protected` `EntryInitializer(Tournament tournament, ID entry_id, boolean is_pre_entry)` Creates a new initializer with the given entryID object and links it to the tournament given as a parameter.

Method Summary
`void` `run()` An implementation of the abstract method in superclass EntryDataModel.
`void` `run(ID confirmed_pre_entry_id)`
`protected void` `setDateOfBirth(java.lang.String dob)` An implementation of the abstract method in superclass EntryDataModel.

Methods inherited from class model.entry.EntryDataModelEditor
`addDiscountId, setClub, setCountry, setCountry, setDateOfBirth, setFirstName, setInfo, setLastName, setPaidSum, setPaidSum, setRank, setRank, setTotalFee, setTotalFee`

Methods inherited from class model.entry.EntryDataModel
`getBirthDayOfMonth, getBirthMonthOfYear, getClub, getCountry, getDateOfBirth, getDiscountIds, getFirstName, getId, getInfo, getLastName, getPaidSum, getRank, getTotalFee`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOURNAMENT

    private final transient Tournament TOURNAMENT

### IS_PRE_ENTRY

    private final transient boolean IS_PRE_ENTRY

Constructor Detail

### EntryInitializer

    protected EntryInitializer(Tournament tournament,
                               ID entry_id,
                               boolean is_pre_entry)
                        throws GoException

  Creates a new initializer with the given entryID object and links it to the tournament given as a parameter.

  Throws:
    `GoException`

Method Detail

### setDateOfBirth

    protected void setDateOfBirth(java.lang.String dob)

  An implementation of the abstract method in superclass EntryDataModel. Implemented here so that the method has public visibility. Sets the date_of_birth field in the data structure.

  Overrides:
    `setDateOfBirth` in class `EntryDataModel`

### run

    public void run()
             throws GoException

  An implementation of the abstract method in superclass EntryDataModel. Implemented here so that the method has public visibility. When the method is called the a new Entry object is created with the data in this EntryInitializer instance and then added to the tournament that is linked to this initializer.

  Specified by:
    `run` in class `EntryDataModelEditor`
  Throws:
    `GoException`

### run

    public void run(ID confirmed_pre_entry_id)
             throws GoException

  Throws:
    `GoException`